Subject: bug#21623: 25.0.50; Another font memory leak

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 21:44:26 +0200

Dima Kogan <[email-masked]> writes:

> I'm not using the lucid terminal anymore, so I'm not seeing this, but
> I'm certain it's still an issue. The fix to 18403 WAS the workaround
> that leaks memory (without the workaround emacs was crashing).

I tried grepping the sources for the proposed patch and it didn't look
like it had been applied.  But I must have done something wrong, because
I can find it now.  Sorry for the confusion.

> When I was looking at this I wrote some tools to aid in debugging. The
> blog post that describes these tools talks about this memory leak:
>
>   http://notes.secretsauce.net/notes/2015/10/05_memory-leak-debugging-tools.html

Hm, interesting...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no